
Redmine - Defect #19963

if attachment's name includes Chinese,it can't be download.

2015-05-28 13:53 - david chung

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.3

Description

1.upload a attachment,filename includes Chinese, such as "（2）中文附件下载测试dump文件.doc",upload successfull.

2.try to download it,it's redirected to 500 error.

Related issues:

Is duplicate of Redmine - Defect #19374: MinGW thin and puma: Internal server... Closed

History

#1 - 2015-05-28 13:56 - david chung

david chung wrote:

1.upload a attachment,filename includes Chinese, such as "（2）中文附件下载测试dump文件.doc",upload successfull.

2.try to download it,it's redirected to 500 error.

 I test it by bitnammi redmine installers(3.0.3) on windows.

#2 - 2015-06-25 12:43 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

Duplicate of #19374.

#3 - 2015-06-25 12:43 - Toshi MARUYAMA

- Is duplicate of Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#4 - 2015-07-17 08:09 - david chung

- File 服务器声卡驱动更新及服务器的配置文档.doc added

- Status changed from Closed to Reopened

I install bitnami-redmine-3.0.4-1-windows-installer.exe,Rails version is V4.2.3,but this bug is not fixed yet.Can anybody help me?

reproduce steps:

1.upload a attachment,files name is "服务器声卡驱动更新及服务器的配置文档.doc"

2.you can found it can't be download.

PS:On bitnami redmine 3.0.x for linux version,it cannot be reproduce.

#5 - 2015-07-17 08:49 - Toshi MARUYAMA

- File thin-win-ja.png added

- Status changed from Reopened to Closed

I cannot reproduce on my Japanese Windows thin.

Please contact bitnami team.
https://www.redmine.org/issues/19374


gem "thin" 

 
$ thin -e production -p 4000 start

>> Using rack adapter

DL is deprecated, please use Fiddle

>> Thin web server (v1.5.1 codename Straight Razor)

>> Maximum connections set to 1024

>> Listening on 0.0.0.0:4000, CTRL+C to stop

 
Started GET "/attachments/download/1/%E6%9C%8D%E5%8A%A1%E5%99%A8%E5%A3%B0%E5%8D%A1%E9%A9%B1%E5%8A%A8%E6%9B%B4%

E6%96%B0%E5%8F%8A%E6%9C%8D%E5%8A%A1%E5%99%A8%E7%9A%84%E9%85%8D%E7%BD%AE%E6%96%87%E6%A1%A3.doc" for 127.0.0.1 a

t 2015-07-17 15:43:04 +0900

Processing by AttachmentsController#download as HTML

  Parameters: {"id"=>"1", "filename"=>"服务器声卡驱动更新及服务器的配置文档.doc"}

  Current user: admin (id=1)

Sent file c:/workdir/hg-workdir/REDMINE/all/files/2015/07/150717154153_ac34e9bdbd4a20c1662bc2bc1d0f6ce7.doc (0

.0ms)

Completed 200 OK in 0ms (ActiveRecord: 0.0ms)

  thin-win-ja.png 

Files

服务器声卡驱动更新及服务器的配置文档.doc 219 KB 2015-07-17 david chung

thin-win-ja.png 53.3 KB 2015-07-17 Toshi MARUYAMA
